Debian Bug report logs - #479803
liblocale-gettext-perl: defines LC_* slightly differently from Perl 5.10's POSIX.pm

version graph

Package: liblocale-gettext-perl; Maintainer for liblocale-gettext-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>; Source for liblocale-gettext-perl is src:liblocale-gettext-perl.

Reported by: "Aaron M. Ucko" <ucko@debian.org>

Date: Tue, 6 May 2008 19:51:03 UTC

Severity: important

Found in version liblocale-gettext-perl/1.05-3

Fixed in version liblocale-gettext-perl/1.05-4

Done: Raphael Hertzog <hertzog@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, ucko@debian.org, pdbv@packages.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#479803; Package liblocale-gettext-perl. Full text and rfc822 format available.

Acknowledgement sent to "Aaron M. Ucko" <ucko@debian.org>:
New Bug report received and forwarded. Copy sent to ucko@debian.org, pdbv@packages.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Aaron M. Ucko" <ucko@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: liblocale-gettext-perl: defines LC_* slightly differently from Perl 5.10's POSIX.pm
Date: Tue, 06 May 2008 15:46:33 -0400
Package: liblocale-gettext-perl
Version: 1.05-3+b1
Severity: important

Upon upgrading to Perl 5.10, I started seeing warning messages from
pdbv's cron job, which I tracked down to a (nominal?) incompatibility
between Locale::gettext and POSIX:

$ perl -MLocale::gettext -MPOSIX -e ''
Prototype mismatch: sub main::LC_ALL: none vs () at -e line 0
Prototype mismatch: sub main::LC_NUMERIC: none vs () at -e line 0
Prototype mismatch: sub main::LC_TIME: none vs () at -e line 0
Prototype mismatch: sub main::LC_MONETARY: none vs () at -e line 0
Prototype mismatch: sub main::LC_CTYPE: none vs () at -e line 0
Prototype mismatch: sub main::LC_MESSAGES: none vs () at -e line 0
Prototype mismatch: sub main::LC_COLLATE: none vs () at -e line 0
#amu@tux64:~
$ perl -MPOSIX -MLocale::gettext -e ''
Constant subroutine main::LC_CTYPE redefined at /usr/share/perl/5.10/Exporter.pm line 66.
 at -e line 0
Prototype mismatch: sub main::LC_CTYPE () vs none at /usr/share/perl/5.10/Exporter.pm line 66.
 at -e line 0
Constant subroutine main::LC_NUMERIC redefined at /usr/share/perl/5.10/Exporter.pm line 66.
 at -e line 0
Prototype mismatch: sub main::LC_NUMERIC () vs none at /usr/share/perl/5.10/Exporter.pm line 66.
 at -e line 0
Constant subroutine main::LC_TIME redefined at /usr/share/perl/5.10/Exporter.pm line 66.
 at -e line 0
Prototype mismatch: sub main::LC_TIME () vs none at /usr/share/perl/5.10/Exporter.pm line 66.
 at -e line 0
Constant subroutine main::LC_COLLATE redefined at /usr/share/perl/5.10/Exporter.pm line 66.
 at -e line 0
Prototype mismatch: sub main::LC_COLLATE () vs none at /usr/share/perl/5.10/Exporter.pm line 66.
 at -e line 0
Constant subroutine main::LC_MONETARY redefined at /usr/share/perl/5.10/Exporter.pm line 66.
 at -e line 0
Prototype mismatch: sub main::LC_MONETARY () vs none at /usr/share/perl/5.10/Exporter.pm line 66.
 at -e line 0
Constant subroutine main::LC_MESSAGES redefined at /usr/share/perl/5.10/Exporter.pm line 66.
 at -e line 0
Prototype mismatch: sub main::LC_MESSAGES () vs none at /usr/share/perl/5.10/Exporter.pm line 66.
 at -e line 0
Constant subroutine main::LC_ALL redefined at /usr/share/perl/5.10/Exporter.pm line 66.
 at -e line 0
Prototype mismatch: sub main::LC_ALL () vs none at /usr/share/perl/5.10/Exporter.pm line 66.
 at -e line 0

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.25.0 (SMP w/2 CPU cores)
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)
Shell: /bin/sh linked to /bin/dash

Versions of packages liblocale-gettext-perl depends on:
ii  libc6                         2.7-10     GNU C Library: Shared libraries
ii  perl-base [perlapi-5.10.0]    5.10.0-9   The Pathologically Eclectic Rubbis

liblocale-gettext-perl recommends no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#479803; Package liblocale-gettext-perl. Full text and rfc822 format available.

Acknowledgement sent to pkg-perl-maintainers@lists.alioth.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 479803@bugs.debian.org (full text, mbox):

From: pkg-perl-maintainers@lists.alioth.debian.org
To: 479803@bugs.debian.org, 479803-submitter@bugs.debian.org
Subject: Bug in liblocale-gettext-perl fixed in revision 19602
Date: Wed, 07 May 2008 07:55:38 +0000
tag 479803 + pending
thanks

Some bugs are closed in revision 19602
by Raphaël Hertzog (hertzog)

Commit message:

New patch debian/patches/compatibility-with-POSIX-module.diff so that
Locale::Gettext re-exports the LC_* constants coming from POSIX instead
of those coming from its own XS implementation. Closes: #479803




Tags added: pending Request was from pkg-perl-maintainers@lists.alioth.debian.org to control@bugs.debian.org. (Wed, 07 May 2008 07:57:29 GMT) Full text and rfc822 format available.

Message sent on to "Aaron M. Ucko" <ucko@debian.org>:
Bug#479803. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#479803; Package liblocale-gettext-perl. Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #20 received at 479803@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: "Aaron M. Ucko" <ucko@debian.org>, 479803@bugs.debian.org
Subject: Re: Bug#479803: liblocale-gettext-perl: defines LC_* slightly differently from Perl 5.10's POSIX.pm
Date: Wed, 7 May 2008 10:12:16 +0200
On Tue, 06 May 2008, Aaron M. Ucko wrote:
> Upon upgrading to Perl 5.10, I started seeing warning messages from
> pdbv's cron job, which I tracked down to a (nominal?) incompatibility
> between Locale::gettext and POSIX:

Indeed, I'm going to upload a fixed package with this patch:

--- liblocale-gettext-perl-1.05.orig/gettext.pm	2008-05-07 09:40:23.000000000 +0200
+++ liblocale-gettext-perl-1.05/gettext.pm	2008-05-07 09:41:04.000000000 +0200
@@ -32,6 +32,7 @@
 =cut
 
 use Carp;
+use POSIX qw(:locale_h);
 
 require Exporter;
 require DynaLoader;


That way Locale::Gettext will simple re-export the constants coming from
POSIX.

Cheers,
-- 
Raphaël Hertzog

Le best-seller français mis à jour pour Debian Etch :
http://www.ouaza.com/livre/admin-debian/




Reply sent to Raphael Hertzog <hertzog@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Aaron M. Ucko" <ucko@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #25 received at 479803-close@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: 479803-close@bugs.debian.org
Subject: Bug#479803: fixed in liblocale-gettext-perl 1.05-4
Date: Wed, 07 May 2008 08:47:03 +0000
Source: liblocale-gettext-perl
Source-Version: 1.05-4

We believe that the bug you reported is fixed in the latest version of
liblocale-gettext-perl, which is due to be installed in the Debian FTP archive:

liblocale-gettext-perl_1.05-4.diff.gz
  to pool/main/libl/liblocale-gettext-perl/liblocale-gettext-perl_1.05-4.diff.gz
liblocale-gettext-perl_1.05-4.dsc
  to pool/main/libl/liblocale-gettext-perl/liblocale-gettext-perl_1.05-4.dsc
liblocale-gettext-perl_1.05-4_i386.deb
  to pool/main/libl/liblocale-gettext-perl/liblocale-gettext-perl_1.05-4_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 479803@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Raphael Hertzog <hertzog@debian.org> (supplier of updated liblocale-gettext-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 07 May 2008 09:56:21 +0200
Source: liblocale-gettext-perl
Binary: liblocale-gettext-perl
Architecture: source i386
Version: 1.05-4
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Raphael Hertzog <hertzog@debian.org>
Description: 
 liblocale-gettext-perl - Using libc functions for internationalization in Perl
Closes: 479803
Changes: 
 liblocale-gettext-perl (1.05-4) unstable; urgency=low
 .
   * Put ${perl:Depends} back into Pre-Depends. The revert in 1.05-2 was
     wrong. The pre-dependency is needed to make sure that the right perl
     version is unpacked before liblocale-gettext-perl so that any
     script/module using Locale::Gettext (still) work once this module
     has been unpacked. This is particulary important for transitions like
     perl-5.8 -> perl-5.10 (see #479220 for example).
   * New patch debian/patches/compatibility-with-POSIX-module.diff so that
     Locale::Gettext re-exports the LC_* constants coming from POSIX instead
     of those coming from its own XS implementation. Closes: #479803
Checksums-Sha1: 
 8d8362210690158f2227938b676f01a04f25a815 1393 liblocale-gettext-perl_1.05-4.dsc
 afde090c6473c84ef4738079c5f0ab4250c128ed 4718 liblocale-gettext-perl_1.05-4.diff.gz
 2bd0a6f3b732ea393c884dd0a13d73b700e87e55 21004 liblocale-gettext-perl_1.05-4_i386.deb
Checksums-Sha256: 
 66c2ada48d21993eb03e303c0f6d1c991ce16e4e5452c8f947b285d043f2c629 1393 liblocale-gettext-perl_1.05-4.dsc
 5d60206114cffdf12cd2fc22410a67e5c56bb3bb52d7fc46d8646ca6dd846b8b 4718 liblocale-gettext-perl_1.05-4.diff.gz
 120488218e02d8ea4f64958d8fedaa5d81dd0073b4d09ba4695ecaf8026dc516 21004 liblocale-gettext-perl_1.05-4_i386.deb
Files: 
 cb252b25c2c8acea1cc81369b9924a40 1393 perl required liblocale-gettext-perl_1.05-4.dsc
 169911f34dbc4b6a95d5739b80c10cc8 4718 perl required liblocale-gettext-perl_1.05-4.diff.gz
 3a1815e579d357cc1681ec67cfdc8d22 21004 perl required liblocale-gettext-perl_1.05-4_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)
Comment: Signed by Raphael Hertzog

iD8DBQFIIWUqvPbGD26BadIRAjEqAJ9wtwP+pYIZaZ1p7tC6qyttrmvSXwCfVVvP
Mbi31dmT94xrKOw3BbB35+I=
=wTHy
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 16 Jun 2008 07:27:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 11:39:47 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.